#!/bin/sh
#
# /etc/rc.d/services/acpid.service - acpid(8) service file
#

daemon="/usr/sbin/acpid"
options="-c /etc/acpi/events -l /var/log/acpid"

start() {
	if [ -e /proc/acpi ]; then
		# call acpid with default config/logfiles
		$daemon $options
		return $?
	fi
}
stop() {
        pkill -o -x ${daemon##*/}
        return $?
}

case "$1" in
       start) start      ;;
        stop) stop       ;;
           *) echo "Usage: $0 start|stop" ; exit 1
esac
exit $?

# EOF

